{
  "productName": "UCapMessenger",
  "appId": "com.lgucap.messenger",
  "asar": true,
  "protocols": {
    "name": "UCapMessenger",
    "schemes": ["UCapMessenger"]
  },
  "publish": {
    "provider": "generic",
    "url": "http://localhost:8099/client-updates/"
  },
  "mac": {
    "target": ["default"],
    "icon": "./dist/ucap-webmessenger-electron/resources/installer/woori.icns"
  },
  "dmg": {
    "title": "UCapMessenger",
    "icon": "./dist/ucap-webmessenger-electron/resources/installer/woori.icns"
  },
  "win": {
    "target": ["zip", "nsis"],
    "icon": "./dist/ucap-webmessenger-electron/resources/installer/woori_256x256.ico"
  },
  "linux": {
    "target": ["AppImage", "deb", "rpm", "zip", "tar.gz"],
    "icon": "./dist/ucap-webmessenger-electron/resources/linuxicon"
  },
  "nsis": {
    "oneClick": false,
    "allowToChangeInstallationDirectory": true,
    "perMachine": true,
    "differentialPackage": true
  },
  "directories": {
    "buildResources": "./dist/ucap-webmessenger-electron/resources/installer/",
    "output": "./dist/electron/",
    "app": "."
  }
}
